qtpasswd(1)

NAME
qtpasswd - MP3 file playlist broadcaster

SYNOPSIS
qtpasswd [-?hvFd] [-f filename] [-g groupsfilename] [-r realm] [-p password] [-P passwordfile] [-A group] [-D group] [-C group] [-R group]

DESCRIPTION
qtpasswd streams a playlist of MP3 files to an instance of QuickTimeStreamingServer.

A list of flags and their descriptions:

-?  display usage

-h  display usage

-v  display usage

-F  Don't ask for confirmation when deleting users or overwriting existing files.

-d  Delete the user. (Deletes the user from all groups)

-f filename
    Password file to manipulate (Default is "/Library/QuickTimeStreaming/Config/qtusers").

-g groupsfilename
    Groups file to manipulate (Default is "/Library/QuickTimeStreaming/Config/qtgroups"). If not found, will create one when necessary.

-r realm
    The realm name to use when creating a new file via "-c" (Default is "Streaming Server").

-p password
    Allows entry of password at command line rather than prompting for it.

-P passwordfile
    File to read the password from rather than prompting for it.

-A group
    Add user to group. Will create group automatically if group is not already present.

-D group
    Delete the user from the group.

-C group
    Create new group. Do not specify username with this option.

-R group
    Delete the group. Do not specify username with this option.

FILES
/Library/QuickTimeStreaming/Config/qtusers
/Library/QuickTimeStreaming/Config/qtgroups
/Library/QuickTimeStreaming/Config/qtaccess

SEE ALSO
QuickTimeStreamingServer(8),